# Scroll

Making a text editor in Typescript based on Kilo (Script + Kilo = Scroll). This
runs on [Bun](https://bun.sh/) (v1.0 or later) and [Deno](https://deno.com/)
(v1.37 or later).

To simplify running, I'm using [Just](https://github.com/casey/just).

- Bun: `just bun-run [filename]`
- Deno: `just deno-run [filename]`

## Development Notes

- Runtime differences are adapted into a common interface
- Runtime implementations are in the `src/deno` and `src/bun` folders
- The main implementation is in `src/common`
